Subject: Re: How long??
From: Acid Software <[email-masked]>
To: Mark Kuzmycz <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Jul 1994 14:51:16 +1200 (NZST)

On Tue, 19 Jul 1994, Mark Kuzmycz wrote:

> 
> >>
> >>What's the maximum length of a string? I can't find it in the 
> >>books....
> >
> >Sorry if you've already found this out but:
> >
> >	Blitz stores a longword string length before every string in memory.  I
> >assume therefore that the max length is going to be 2^32.
> 
> The maximum length of a string is defined in the compiler options (resources).
> It should be about 10024 (That's what mine is anyway).
> 
> Mark.
> 
> 
No not quite right, that is the workspace size, you can maxlen strings to 
any size you want, however if you are going to manipulate them I suppose 
yes your workspace should be set to as big as the biggest string + 
biggest string you will be using.
I think the bank lib should be expanded for handling largfe files etc, 
does anyone know the basics of virtual memory, we could then open a bank 
and allocate the file to it and then you could manipulate it with the 
string commands but never have to worry about running out of memory, 
Would this be of use to people?